# medz/plugs/search.py
#
#

""" doorzoek de opslag. """

## IMPORTS

from medz.kernel import kernel

## CMNDS

def search_find(event):
    objs = sorted(event.selected(event.parsed), key=lambda x: x.get_timed())
    nr = 1
    for obj in objs: event.reply("%s %s" % (nr, obj.display(event.parsed))) ; nr += 1

kernel.register("search.find", search_find)

def search_dump(event):
    objs = sorted(event.selected(event.parsed), key=lambda x: x.get_timed())
    for obj in objs: event.reply(obj.json())

kernel.register("search.dump", search_dump)

def search_period(event):
    fns = event.period(event.parsed)
    for fn in fns: event.reply(fn)

kernel.register("search.period", search_period)
